=== debian/changelog ===
libterralib (4.3.0+dfsg.2-4build2) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:44:05 +0000

libterralib (4.3.0+dfsg.2-4build1) xenial; urgency=medium

  * No-change rebuild for dxflib transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2016 08:10:28 +0000
