=== debian/control ===
Source: libterralib
Maintainer: Debian GIS Team <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>,
           Alastair McKinstry <mckinstry@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               libgeotiff-dev,
               libjpeg-dev,
               libtiff-dev,
               qt5-qmake,
               qtbase5-dev,
               zlib1g-dev,
               libqwt-dev,
               libshp-dev,
   	       libdxflib-dev,
               libmysqlclient-dev,
               libpq-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/libterralib.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/libterralib.git
Homepage: http://www.terralib.org/

Package: libterralib-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libterralib3 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libterralib-doc
Conflicts: libterralib1-dev,
           libterralib3-dev
Replaces: libterralib3-dev
Description: C++ library for Geographical Information Systems -- development package
 TerraLib enables quick development of custom-built geographical applications
 using spatial databases. As a research tool, TerraLib  is aimed at providing a
 rich and powerful environment for the development of GIS research,
 enabling the development of GIS prototypes that include new concepts such as
 spatio-temporal data models, geographical ontologies and advanced spatial
 analysis techniques. TerraLib defines a geographical data model and provides
 support for this model over a range of different DBMS (MySQL, PostgreSQL,
 ORACLE and ACCESS), and is implemented as a library of C++ classes and
 functions, written in ANSI-C++.
 .
 This package contains development files for terralib.

Package: libterralib3
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: libterralib-doc
Conflicts: libterralib1c2a,
Replaces: libterralib1c2a,
          libterralib (<< 4.3.0+dfsg.1-3~)
Breaks: libterralib (<< 4.3.0+dfsg.1-3~)
Description: C++ library for Geographical Information Systems
 TerraLib enables quick development of custom-built geographical applications
 using spatial databases. As a research tool, TerraLib  is aimed at providing a
 rich and powerful environment for the development of GIS research,
 enabling the development of GIS prototypes that include new concepts such as
 spatio-temporal data models, geographical ontologies and advanced spatial
 analysis techniques. TerraLib defines a geographical data model and provides
 support for this model over a range of different DBMS (MySQL, PostgreSQL,
 ORACLE and ACCESS), and is implemented as a library of C++ classes and
 functions,  written in ANSI-C++.

Package: libterralib-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: libterralib3
Replaces: libterralib3-doc
Description: C++ library for Geographical Information Systems -- documentation package
 TerraLib enables quick development of custom-built geographical applications
 using spatial databases. As a research tool, TerraLib  is aimed at providing a
 rich and powerful environment for the development of GIS research,
 enabling the development of GIS prototypes that include new concepts such as
 spatio-temporal data models, geographical ontologies and advanced spatial
 analysis techniques. TerraLib defines a geographical data model and provides
 support for this model over a range of different DBMS (MySQL, PostgreSQL,
 ORACLE and ACCESS), and is implemented as a library of C++ classes and
 functions, written in ANSI-C++.
 .
 This package contains examples for the terralib library.
